KausateKausate Docs
Viewing API version 2026-05-01. View the latest version.

Event codes

Returns the event codes monitors can receive, each with its category. Pass `jurisdiction` for that jurisdiction's list.

GET
/v2/events/taxonomy

Query Parameters

jurisdiction?|

Jurisdiction code, e.g. 'de'. Omit to list every event code.

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

curl "https://api.kausate.com/v2/events/taxonomy" \  -H "Kausate-Version: 2026-05-01"
{
  "categories": [
    "status"
  ],
  "eventCodes": [
    {
      "eventCode": "NAME_CHANGED",
      "category": "status"
    }
  ]
}
{
  "detail": "API key is required",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "kausateId"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on